## freebsd-sendpr 3.113+5.3

=== gnu/usr.bin/send-pr/Makefile ===
# $FreeBSD: src/gnu/usr.bin/send-pr/Makefile,v 1.18 2003/09/07 13:38:07 ru Exp $
#
# Makefile for building a standalone send-pr.
#

SCRIPTS=	send-pr
MAN=		send-pr.1
SUBMITTERS=	current-users
RELEASE=	`uname -rsm`
CLEANFILES+=	send-pr send-pr.el

SUBDIR+= doc

LINKS=	${BINDIR}/send-pr ${BINDIR}/sendbug
MLINKS=	send-pr.1 sendbug.1

send-pr:	send-pr.sh Makefile
	sed -e 's,@DATADIR@,/etc,g' \
	    -e 's/@DEFAULT_RELEASE@/$(RELEASE)/g' \
	    -e 's/^SUBMITTER=.*/SUBMITTER=$(SUBMITTERS)/' \
	    ${.ALLSRC:N*Makefile} > ${.TARGET}

send-pr.el:	send-pr-el.in Makefile
	default_release=`uname -rsm`; \
	sed -e 's,@DATADIR@,/etc,g' \
	    -e "s/@DEFAULT_RELEASE@/$${default_release}/g" \
	    -e 's/"unknown"/"$(SUBMITTERS)"/g' \
	    ${.ALLSRC:N*Makefile} > ${.TARGET}

# called from /usr/src/etc/Makefile 
etc-gnats-freefall:
	${INSTALL} -o ${BINOWN} -g ${BINGRP} -m 0644 \
		${.CURDIR}/categories  ${DESTDIR}/etc/gnats/freefall

.include <bsd.prog.mk>

## freebsd-sendpr 3.113+8.0

=== debian/changelog ===
freebsd-sendpr (3.113+8.0-1) unstable; urgency=low

  * New upstream release.
    - Stop using tar-in-tar. (Closes: #538558)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Add ${misc:Depends} to Depends field.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 14 Nov 2009 04:49:21 +0100

freebsd-sendpr (3.113+5.3-10) unstable; urgency=low

  * Build-depends on freebsd-buildutils instead of freebsd5-buildutils.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 07 Aug 2008 00:27:27 +0200

freebsd-sendpr (3.113+5.3-9) unstable; urgency=low

  * Switch all patches from -p0 to -pab. (Closes: #485249)
  * Improve debian/copyright.
    - Add Copyright Holders.
    - Add other Upstream Authors.
    - Use UTF-8 copyright symbol.
    - Refer to GPL-2, and add the minimal GPL license snippet.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add a README.source.
  * Now using Standards-Version 3.8.0.
  * Replace obsolete Depends on mailx with bsd-mailx.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 05:56:28 +0300

freebsd-sendpr (3.113+5.3-8) unstable; urgency=low

  * Fix bashisms (closes: bug#464649)
    - debian/patches/004_bashims.patch: New file.
  * Now using Standards-Version 3.7.2 (no changes needed).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Feb 2008 22:25:35 +0100

freebsd-sendpr (3.113+5.3-7) unstable; urgency=low

  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Clean up of debian/rules:
    - Add build-arch and build-indep.
    - Remove commented out debhelper commands and useless ones.
    - Do not use a build stamp.
    - Change binary-indep depend only on install, binary-arch on nothing
      and install on build-arch.
    - Remove unused DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE.
    - Remove inexistent control target from PHONY targets.
  * Remove unused shlibs:Depends and misc:Depends substvars from Depends.
  * Move debhelper to Build-Depends as it's used from clean.
  * Switch to quilt:
    - Include quilt.make in debian/rules.
    - Add 'quilt (>= 0.40)' to Build-Depends.
    - Add a debian/patches/series.
  * Remove patchutils from Build-Depends as it's an indirect dependency from
    freebsd5-buildutils.
  * Fix typo in package long description. (Closes: #363421)
    Thanks to Simon Waters <simon@technocool.net>.
  * Refer to sendbug in send-pr(1). (Closes: #359002)
    - debian/patches/002_man_sendbug.patch: New file.
  * Add 'Development' as dir section to the info file.
    - debian/patches/003_info_dir_section.patch: New file.
  * Use pkgdir to refer to the package installation directory under debian/.
  * Remove the installed info files file and add a debian/info file so that
    dh_installinfo can pick it up.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jul 2007 08:07:12 +0300

freebsd-sendpr (3.113+5.3-6) unstable; urgency=low

  * Don't change the build dependencies at build time.
  * Updated Standards-Version to 3.6.2. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  6 Jul 2005 22:26:30 +0200

freebsd-sendpr (3.113+5.3-5) unstable; urgency=low

  * Package adopted by the GNU/kFreeBSD Maintainers. Thanks to Robert
    Millan for all the work done on this package.
  * Changed Build-Depends into Build-Depends-Indep.
  * Uncompress installed manpages so they get recompressed at maximum
    by dh_compress.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 10 Jun 2005 00:56:27 +0200

freebsd-sendpr (3.113+5.3-4) unstable; urgency=low

  * Avoid mangling of MAKE with non-gnu version. (Closes: #298080)

 -- Robert Millan <rmh@debian.org>  Sat,  5 Mar 2005 16:35:56 +0100

freebsd-sendpr (3.113+5.3-3) unstable; urgency=low

  * Replace Architecture with Cpu/System in control.in.

 -- Robert Millan <rmh@debian.org>  Thu,  3 Feb 2005 22:27:55 +0100

freebsd-sendpr (3.113+5.3-2) unstable; urgency=low

  * control.in (Build-Depends): Add texinfo. (Closes: #286852)

 -- Robert Millan <rmh@debian.org>  Thu, 23 Dec 2004 17:47:34 +0100

freebsd-sendpr (3.113+5.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Thu, 16 Dec 2004 18:03:58 +0100

freebsd-sendpr (3.113+5.2.1-1) unstable; urgency=low

  * Initial Release. (Closes: #257979)

 -- Robert Millan <rmh@debian.org>  Fri,  9 Jul 2004 20:34:53 +0200

=== debian/control ===
Source: freebsd-sendpr
Section: utils
Priority: extra
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org> 
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-sendpr/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-sendpr/
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: freebsd-buildutils, texinfo
Standards-Version: 3.8.3

Package: freebsd-sendpr
Architecture: all
Depends: mailutils | bsd-mailx, ${misc:Depends}
Conflicts: gnats, gnats-user
Description: FreeBSD fork of send-pr (from GNU GNATS)
 send-pr is a client utility for sending problem reports to a remote GNATS
 database. This is the FreeBSD version of send-pr, which contains a number
 of enhancements, and is primarily targeted at sending reports to the FreeBSD
 PR database.
 .
 It is useful for Debian maintainers (or even users) of software originated in
 FreeBSD, as it provides an easy way to send patches or feedback to upstream.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkgdir := $(CURDIR)/debian/freebsd-sendpr

PMAKE := freebsd-make DESTDIR=$(pkgdir) BINDIR=/usr/bin

clean:
	dh_testdir
	dh_testroot
	
	$(PMAKE) clean
	
	dh_clean

build-indep:
	dh_testdir
	
	$(PMAKE)

build-arch:

build: build-indep build-arch

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(PMAKE) install etc-gnats-freefall
	for i in $(pkgdir)/usr/share/man/man1/*.gz ; do \
		[ -L $$i ] || gunzip $$i ; \
	done
	rm -f $(pkgdir)/usr/share/info/*

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# Nothing to do.

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch 
.PHONY: clean binary-indep binary-arch binary install

## freebsd-sendpr 3.113+8.2

=== gnu/usr.bin/send-pr/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/gnu/usr.bin/send-pr/Makefile,v 1.18 2003/09/07 13:38:07 ru Exp $
+# $FreeBSD$
 #
 # Makefile for building a standalone send-pr.
 #

=== debian/changelog ===
freebsd-sendpr (3.113+8.2-1) unstable; urgency=low

  * New upstream release.
  * Use signal names w/o a SIG prefix, which is a bashism.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add get-orig-source support, and as a consequence move the source code
    to the same path as on the FreeBSD repository (gnu/usr.bin/sendpr/).

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2011 02:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: extra
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org> 
+Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-sendpr/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-sendpr/
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: freebsd-buildutils, texinfo
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 
 Package: freebsd-sendpr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,38 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkgdir := $(CURDIR)/debian/freebsd-sendpr
+PKG := freebsd-sendpr
+
+VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
+FREEBSD_VERSION = $(shell echo $(VERSION) | sed -e 's/^[^+]\++//g')
+SVN = http://svn.freebsd.org/base/release/$(FREEBSD_VERSION).0
+ORIGDIR = $(PKG)-$(VERSION)
+
+get-orig-source:
+	rm -rf $(ORIGDIR)
+	mkdir -p $(ORIGDIR)
+	for i in gnu/usr.bin/send-pr ; do \
+	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
+	done
+	tar --numeric-owner --owner 0 --group 0 -czf ../$(PKG)_$(VERSION).orig.tar.gz $(ORIGDIR)
+	rm -rf $(ORIGDIR)
+
+pkgdir := $(CURDIR)/debian/$(PKG)
 
 PMAKE := freebsd-make DESTDIR=$(pkgdir) BINDIR=/usr/bin
 
 clean:
 	dh_testdir
 	dh_testroot
-	
-	$(PMAKE) clean
-	
+
+	$(PMAKE) -C gnu/usr.bin/send-pr clean
+
 	dh_clean
 
 build-indep:
 	dh_testdir
-	
-	$(PMAKE)
+
+	$(PMAKE) -C gnu/usr.bin/send-pr
 
 build-arch:
 
@@ -31,8 +47,8 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	
-	$(PMAKE) install etc-gnats-freefall
+
+	$(PMAKE) -C gnu/usr.bin/send-pr install etc-gnats-freefall
 	for i in $(pkgdir)/usr/share/man/man1/*.gz ; do \
 		[ -L $$i ] || gunzip $$i ; \
 	done
@@ -59,6 +75,5 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build build-indep build-arch 
+.PHONY: build build-indep build-arch
 .PHONY: clean binary-indep binary-arch binary install
-

## freebsd-sendpr 3.113+9.2

=== debian/changelog ===
freebsd-sendpr (3.113+9.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Add a Homepage field pointing to the FreeBSD problem reporting webform.
  * Switch to canonical Vcs URLs.
  * Remove packaging history from debian/copyright.
  * Add a missing template placeholder for mktemp in trap call.
  * Use «dpkg-parsechangelog -SVersion» instead of sed-filtering the output.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Add an empty debian/watch file explaining that there's no packaged
    upstream releases.
  * Remove myself from Uploaders.

 -- Guillem Jover <guillem@debian.org>  Wed, 16 Oct 2013 20:02:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-sendpr/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-sendpr/
-Build-Depends: debhelper (>= 7)
+Uploaders: Aurelien Jarno <aurel32@debian.org>
+Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-sendpr/
+Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-sendpr/
+Homepage: http://www.freebsd.org/send-pr.html
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.17.0)
 Build-Depends-Indep: freebsd-buildutils, texinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: freebsd-sendpr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PKG := freebsd-sendpr
-
-VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
+SOURCE := freebsd-sendpr
+VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/-.*//g')
 FREEBSD_VERSION = $(shell echo $(VERSION) | sed -e 's/^[^+]\++//g')
 SVN = http://svn.freebsd.org/base/release/$(FREEBSD_VERSION).0
-ORIGDIR = $(PKG)-$(VERSION)
+ORIGDIR = $(SOURCE)-$(VERSION)
+TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
 
 get-orig-source:
 	rm -rf $(ORIGDIR)
@@ -18,10 +18,10 @@
 	for i in gnu/usr.bin/send-pr ; do \
 	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
 	done
-	tar --numeric-owner --owner 0 --group 0 -czf ../$(PKG)_$(VERSION).orig.tar.gz $(ORIGDIR)
+	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
 	rm -rf $(ORIGDIR)
 
-pkgdir := $(CURDIR)/debian/$(PKG)
+pkgdir := $(CURDIR)/debian/$(SOURCE)
 
 PMAKE := freebsd-make DESTDIR=$(pkgdir) BINDIR=/usr/bin
